[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.SetHint

Sets the value for the Hint property.

## Declaration

Source position: controls.pp line 1519

`protected procedure TControl.SetHint(`
`const Value: TTranslateString`
`); virtual;`

## Arguments

`Value` |  | New value for the Hint property.

## Description

Value is a TTranslateString type which allows it be recognized and processed in the LCL translation facilities.

## See also

TControl.Hint |  | The text to show in the Hint window for the control.